import 'package:dashboard_shell/src/presentation/main_shell_view_state.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class MainShellViewModel extends Notifier<MainShellViewState> {
  @override
  MainShellViewState build() {
    return MainShellViewState();
  }

  void onTabChanged(int index) {
    state = state.copyWith(selectedIndex: index);
  }
}
